import {getCars} from './getCars';

import {generateReport} from './generateReport';

import {select,json,geoPath,geoMercator} from 'd3';
import {feature} from 'topojson'; //potrebujem transformovat topojson na geojson s kt. pracuje d3.js

 

const projection = geoMercator() 
	.scale(7000)
	//.rotate([-0.5, 0.5, 0]) 
	.center([19.6990, 48.6690]); 

 const pathGenerator = geoPath().projection(projection);
  const svg=select('svg');
     // svg.style('background-color','white');

  svg.append('path')
   .attr('class','sphere')
   .attr('d',pathGenerator({type:'Sphere'}));

  json('https://unpkg.com/world-atlas@1.1.4/world/110m.json')
     .then(data => {//it is a promise
     // console.log(data); 
        const countries = feature(data,data.objects.countries);
        console.log(countries);

       svg.selectAll('path').data(countries.features)
         .enter().append('path')
          .attr('class','country')
         .attr('d',pathGenerator);
	});


    
		
























getCars().then(cars => {
  const message2 = generateReport(cars,3000);
document.getElementById("message2").textContent=message2; 
});




